# DataJoint Element - ZStack

DataJoint Element for z-stack (volumetric) imaging, features cell segmentation with 
[cellpose](https://github.com/MouseLand/cellpose), data upload to 
[BossDB](https://bossdb.org/), and data visualization with 
[Neuroglancer](https://github.com/google/neuroglancer). DataJoint Elements collectively standardize and automate data collection and analysis for neuroscience experiments. Each Element is a modular pipeline for data storage and processing with corresponding database tables that can be combined with other Elements to assemble a fully functional pipeline.

## Experiment Flowchart

![flowchart](https://raw.githubusercontent.com/datajoint/element-zstack/main/images/flowchart.svg)

## Data Pipeline Diagram

![pipeline](https://raw.githubusercontent.com/datajoint/element-zstack/main/images/pipeline.svg)

## Getting Started

+ Install from PyPI

     ```bash
     pip install element-zstack
     ```

+ [Interactive tutorial on GitHub Codespaces](https://github.com/datajoint/workflow-zstack#interactive-tutorial)

+ [Documentation](https://datajoint.com/docs/elements/element-zstack)

## Support

+ If you need help getting started or run into any errors, please contact our team by email at support@datajoint.com.

